Bug 2269165 - kile-3.0b4 is available
Summary: kile-3.0b4 is available
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: kile
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2261281 2268194
TreeView+ depends on / blocked
 
Reported: 2024-03-12 14:43 UTC by Upstream Release Monitoring
Modified: 2024-04-20 04:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)
Update to 3.0b3 (#2269165) (1019 bytes, patch)
2024-03-12 14:44 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 3.0b4 (#2269165) (1019 bytes, patch)
2024-03-17 09:47 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2024-03-12 14:43:48 UTC
Releases retrieved: 1.9, 1.9.2, 2.0, 2.0b1, 2.0b2, 2.0.1, 2.0.2, 2.0.3, 2.1, 2.1b1, 2.1b2, 2.1b3, 2.1b4, 2.1b5, 2.1.1, 2.1.2, 3.0b1, 3.0b2, 3.0b3
Upstream release that is considered latest: 3.0b3
Current version/release in rawhide: 2.9.93-11.fc39
URL: https://invent.kde.org/office/kile

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/1510/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/kile

Comment 1 Upstream Release Monitoring 2024-03-12 14:44:07 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
Command '['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', '/var/tmp/thn-3cqal4z8/kile.spec']' returned non-zero exit status 1.

StdOut:
setting SOURCE_DATE_EPOCH=1710201600
error: Bad file: ./kile-3.0b3.tar.bz2: No such file or directory

RPM build errors:
    Bad file: ./kile-3.0b3.tar.bz2: No such file or directory


Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 229, in build
    raise BuilderException(

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 2 Upstream Release Monitoring 2024-03-12 14:44:09 UTC
Created attachment 2021264 [details]
Update to 3.0b3 (#2269165)

Comment 3 Upstream Release Monitoring 2024-03-17 09:46:49 UTC
Releases retrieved: 3.0b4
Upstream release that is considered latest: 3.0b4
Current version/release in rawhide: 2.9.93-11.fc39
URL: https://invent.kde.org/office/kile

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/1510/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/kile

Comment 4 Upstream Release Monitoring 2024-03-17 09:47:08 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
Command '['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', '/var/tmp/thn-qahj1f_m/kile.spec']' returned non-zero exit status 1.

StdOut:
setting SOURCE_DATE_EPOCH=1710633600
error: Bad file: ./kile-3.0b4.tar.bz2: No such file or directory

RPM build errors:
    Bad file: ./kile-3.0b4.tar.bz2: No such file or directory


Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 229, in build
    raise BuilderException(

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 5 Upstream Release Monitoring 2024-03-17 09:47:09 UTC
Created attachment 2022077 [details]
Update to 3.0b4 (#2269165)

Comment 6 Cristian Le 2024-04-18 13:06:01 UTC
Trying to fix this with https://src.fedoraproject.org/rpms/kile/pull-request/2

Comment 7 Kevin Kofler 2024-04-18 13:26:13 UTC
Your pull request is not usable at all, sorry.

Comment 8 Cristian Le 2024-04-18 13:30:03 UTC
The source should use something related to the invent gitlab repo in order for this automation to try and help with the build. As you can see it tries to do:
```
-Version: 2.9.93
-Release: 13%{?dist}
+Version: 3.0b4
+Release: 1%{?dist}
```
This is unusable in the sourceforge source. Much of the development for KDE6 support is done in the invent repo as well, so it makes more sense to point it there.

Comment 9 Cristian Le 2024-04-18 13:33:58 UTC
Sorry, I was writing the comment when you put the block tags and it deleted them. I can't seem to navigate to re-mark these as blocked

Comment 10 Kevin Kofler 2024-04-18 13:35:42 UTC
"Blocks: …" is under "Show advanced fields". Please do not remove them again. When Bugzilla sees a collision, it normally asks you whether to overwrite other changes, please use "Submit only my new comment".

> The source should use something related to the invent gitlab repo in order for this automation to try and help with the build.

I do not need any automation, this is my package and I maintain it as I see fit. Stop spamming me with bad suggestions.

Comment 11 Kevin Kofler 2024-04-18 13:38:54 UTC
To elaborate on why this is a bad suggestion: The tarball you attempt to use is autogenerated from the tag, the official upstream tarball the upstream website links to is the one they upload on SourceForge, it is not necessarily the same tarball. (E.g., I see there was a 2.9.94 and a 2.9.94-1 on SF, so they must have fixed something in -1, which may or may not be included in the git tag.) The user-facing URL in the URL: tag should also be the main user-facing website. For Kile, this is all on SF, only the git repo is on invent.kde.org.

Comment 12 Cristian Le 2024-04-18 13:49:15 UTC
Would you mind changing release-monitor than? https://release-monitoring.org/project/1510/. It would seem like a nightmare given that they are using `X.Y.Z-x` naming convention there and the path does not seem predictable. If not, just disable it altogether so that it is less confusing and less spammy

Comment 13 Kevin Kofler 2024-04-18 13:59:39 UTC
I turned the monitoring off. This is unfortunately not going to work reliably for Kile because of its permanent beta status.

Comment 14 Kevin Kofler 2024-04-18 14:12:39 UTC
What is clear is that, since this is a switch from KF5 to KF6, this requires A LOT more specfile changes than what you had in your pull request. This may have looked to a minor update (3.0 beta 3 to 3.0 beta 4) to you, but it is really a major update (KF5-based to KF6-based). Such a major change does not make sense to submit as a pull request without testing that it at least compiles.

I am working on doing the update, but it is not as simple as you thought.

Comment 15 Cristian Le 2024-04-18 14:19:50 UTC
For the record, I was not implying that the PR was finished in any form, and I was intending to look at the spec file afterward to see what needs to be done for the transition. If you do not like to have help and work and investigate these together iteratively, that's all well with me.

Comment 16 Fedora Update System 2024-04-18 19:34:53 UTC
FEDORA-2024-49d324d353 (kile-2.9.94-1.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-49d324d353

Comment 17 Fedora Update System 2024-04-19 02:42:34 UTC
FEDORA-2024-49d324d353 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-49d324d353`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-49d324d353

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2024-04-20 04:11:10 UTC
FEDORA-2024-49d324d353 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-49d324d353`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-49d324d353

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.


Note You need to log in before you can comment on or make changes to this bug.